Index: source/filter.vcl/wmf/emfwr.cxx
===================================================================
RCS file: /cvs/util/svtools/source/filter.vcl/wmf/emfwr.cxx,v
retrieving revision 1.12
retrieving revision 1.12.4.1
diff -u -r1.12 -r1.12.4.1
--- source/filter.vcl/wmf/emfwr.cxx	8 Sep 2005 15:45:02 -0000	1.12
+++ source/filter.vcl/wmf/emfwr.cxx	19 Sep 2005 11:41:25 -0000	1.12.4.1
@@ -744,26 +744,26 @@
 
 // -----------------------------------------------------------------------------
 
-void EMFWriter::ImplWriteTextRecord( const Point& rPos, const String rText, const long* pDXArray, UINT32 nWidth )
+void EMFWriter::ImplWriteTextRecord( const Point& rPos, const String rText, const sal_Int32* pDXArray, sal_uInt32 nWidth )
 {
 	UINT32 nLen = rText.Len(), i;
 
 	if( nLen )
 	{
-		unsigned long nNormWidth;
-		long*		pOwnArray;
-		long*		pDX;
+		sal_uInt32	nNormWidth;
+		sal_Int32*	pOwnArray;
+		sal_Int32*	pDX;
 
 		// get text sizes
 		if( pDXArray )
 		{
 			pOwnArray = NULL;
 			nNormWidth = maVDev.GetTextWidth( rText );
-			pDX = (long*) pDXArray;
+			pDX = (sal_Int32*) pDXArray;
 		}
 		else
 		{	
-			pOwnArray = new long[ nLen ];
+			pOwnArray = new sal_Int32[ nLen ];
 			nNormWidth = maVDev.GetTextArray( rText, pOwnArray );
 			pDX = pOwnArray;
 		}
Index: source/filter.vcl/wmf/emfwr.hxx
===================================================================
RCS file: /cvs/util/svtools/source/filter.vcl/wmf/emfwr.hxx,v
retrieving revision 1.3
retrieving revision 1.3.4.1
diff -u -r1.3 -r1.3.4.1
--- source/filter.vcl/wmf/emfwr.hxx	8 Sep 2005 15:45:20 -0000	1.3
+++ source/filter.vcl/wmf/emfwr.hxx	19 Sep 2005 11:41:26 -0000	1.3.4.1
@@ -89,7 +89,7 @@
 	void				ImplWritePolygonRecord( const Polygon& rPoly, BOOL bClose );
 	void				ImplWritePolyPolygonRecord( const PolyPolygon& rPolyPoly );
 	void				ImplWriteBmpRecord( const Bitmap& rBmp, const Point& rPt, const Size& rSz, UINT32 nROP );
-	void				ImplWriteTextRecord( const Point& rPos, const String rText, const long* pDXArray, UINT32 nWidth );
+	void				ImplWriteTextRecord( const Point& rPos, const String rText, const sal_Int32* pDXArray, sal_uInt32 nWidth );
 
 	void				ImplWrite( const GDIMetaFile& rMtf );
 
Index: source/filter.vcl/wmf/wmfwr.cxx
===================================================================
RCS file: /cvs/util/svtools/source/filter.vcl/wmf/wmfwr.cxx,v
retrieving revision 1.22
retrieving revision 1.22.4.1
diff -u -r1.22 -r1.22.4.1
--- source/filter.vcl/wmf/wmfwr.cxx	8 Sep 2005 15:47:28 -0000	1.22
+++ source/filter.vcl/wmf/wmfwr.cxx	19 Sep 2005 11:41:26 -0000	1.22.4.1
@@ -629,7 +629,7 @@
 }
 
 void WMFWriter::WMFRecord_ExtTextOut( const Point & rPoint,
-    const String & rString, const long * pDXAry )
+    const String & rString, const sal_Int32 * pDXAry )
 {
     sal_uInt16 nOriginalTextLen = rString.Len();
 
@@ -643,8 +643,8 @@
     TrueExtTextOut(rPoint,rString,aByteString,pDXAry);
 }
 
-void WMFWriter::TrueExtTextOut( const Point & rPoint, const String & rString,
-    const ByteString & rByteString, const long * pDXAry )
+void WMFWriter::TrueExtTextOut( const Point & rPoint, const String & rString, 
+    const ByteString & rByteString, const sal_Int32 * pDXAry )
 {
 	WriteRecordHeader( 0, W_META_EXTTEXTOUT );
 	WritePointYX( rPoint );
@@ -1265,7 +1265,7 @@
 
 					pVirDev->SetFont( aSrcFont );
 					nLen = aTemp.Len();
-					sal_Int32* pDXAry = nLen ? new long[ nLen ] : NULL;
+					sal_Int32* pDXAry = nLen ? new sal_Int32[ nLen ] : NULL;
 					nNormSize = pVirDev->GetTextArray( aTemp, pDXAry );
 					for ( i = 0; i < ( nLen - 1 ); i++ )
 						pDXAry[ i ] = pDXAry[ i ] * (sal_Int32)pA->GetWidth() / nNormSize;
Index: source/filter.vcl/wmf/wmfwr.hxx
===================================================================
RCS file: /cvs/util/svtools/source/filter.vcl/wmf/wmfwr.hxx,v
retrieving revision 1.8
retrieving revision 1.8.4.1
diff -u -r1.8 -r1.8.4.1
--- source/filter.vcl/wmf/wmfwr.hxx	8 Sep 2005 15:47:44 -0000	1.8
+++ source/filter.vcl/wmf/wmfwr.hxx	19 Sep 2005 11:41:26 -0000	1.8.4.1
@@ -162,11 +162,11 @@
 	void WMFRecord_DeleteObject(USHORT nObjectHandle);
 	void WMFRecord_Ellipse(const Rectangle & rRect);
 	void WMFRecord_Escape( sal_uInt32 nEsc, sal_uInt32 nLen, const sal_Int8* pData );
-	sal_Bool WMFRecord_Escape_Unicode( const Point& rPoint, const String& rStr, const long * pDXAry );
-	void WMFRecord_ExtTextOut(const Point & rPoint, const String & rString, const long * pDXAry);
+	sal_Bool WMFRecord_Escape_Unicode( const Point& rPoint, const String& rStr, const sal_Int32 * pDXAry );
+	void WMFRecord_ExtTextOut(const Point & rPoint, const String & rString, const sal_Int32 * pDXAry);
 
     void TrueExtTextOut(const Point & rPoint, const String & rString, 
-        const ByteString & rByteString, const long * pDXAry);
+        const ByteString & rByteString, const sal_Int32 * pDXAry);
     void TrueTextOut(const Point & rPoint, const ByteString& rString);
 	void WMFRecord_LineTo(const Point & rPoint);
 	void WMFRecord_MoveTo(const Point & rPoint);