Index: source/ui/app/AppController.cxx
===================================================================
RCS file: /cvs/dba/dbaccess/source/ui/app/AppController.cxx,v
retrieving revision 1.20
retrieving revision 1.20.96.1
diff -u -r1.20 -r1.20.96.1
--- source/ui/app/AppController.cxx	6 Apr 2005 11:40:09 -0000	1.20
+++ source/ui/app/AppController.cxx	13 Sep 2005 14:50:22 -0000	1.20.96.1
@@ -1751,7 +1751,7 @@
 // -----------------------------------------------------------------------------
 IMPL_LINK( OApplicationController, OnCreateWithPilot, void*, _pType )
 {
-    ElementType eType = (ElementType)reinterpret_cast< int >( _pType );
+    ElementType eType = (ElementType)reinterpret_cast< sal_IntPtr >( _pType );
     newElementWithPilot( eType );
     return 0L;
 }
Index: source/ui/app/AppDetailPageHelper.cxx
===================================================================
RCS file: /cvs/dba/dbaccess/source/ui/app/AppDetailPageHelper.cxx,v
retrieving revision 1.7
retrieving revision 1.7.106.1
diff -u -r1.7 -r1.7.106.1
--- source/ui/app/AppDetailPageHelper.cxx	18 Mar 2005 10:07:55 -0000	1.7
+++ source/ui/app/AppDetailPageHelper.cxx	13 Sep 2005 14:50:23 -0000	1.7.106.1
@@ -534,7 +534,7 @@
 	if ( nPos < CONTROL_COUNT && _pEntry )
 	{
 		DBTreeListBox& rTree = *m_pLists[nPos];
-		bLeafSelected = reinterpret_cast<sal_Int32>(_pEntry->GetUserData()) != FOLDER_TYPE;
+		bLeafSelected = reinterpret_cast<sal_IntPtr>(_pEntry->GetUserData()) != FOLDER_TYPE;
 	}
 	return bLeafSelected;
 }
@@ -549,7 +549,7 @@
 		SvLBoxEntry* pEntry = rTree.FirstSelected( );
 		while( !bLeafSelected && pEntry )
 		{
-			bLeafSelected = reinterpret_cast<sal_Int32>(pEntry->GetUserData()) != FOLDER_TYPE;
+			bLeafSelected = reinterpret_cast<sal_IntPtr>(pEntry->GetUserData()) != FOLDER_TYPE;
 			pEntry = rTree.NextSelected(pEntry);
 		}
 	}
Index: source/ui/control/tabletree.cxx
===================================================================
RCS file: /cvs/dba/dbaccess/source/ui/control/tabletree.cxx,v
retrieving revision 1.26
retrieving revision 1.26.150.1
diff -u -r1.26 -r1.26.150.1
--- source/ui/control/tabletree.cxx	21 Jan 2005 17:10:27 -0000	1.26
+++ source/ui/control/tabletree.cxx	13 Sep 2005 14:50:24 -0000	1.26.150.1
@@ -157,7 +157,7 @@
 	SvLBoxEntry* pEntryLoop = First();
 	while (pEntryLoop)
 	{
-		sal_Int32 nType = reinterpret_cast<sal_Int32>(pEntryLoop->GetUserData());
+		sal_Int32 nType = reinterpret_cast<sal_IntPtr>(pEntryLoop->GetUserData());
 		if ( nType )
 		{
 			USHORT nCount = pEntryLoop->ItemCount();
Index: source/ui/dlg/generalpage.cxx
===================================================================
RCS file: /cvs/dba/dbaccess/source/ui/dlg/generalpage.cxx,v
retrieving revision 1.43
retrieving revision 1.43.52.1
diff -u -r1.43 -r1.43.52.1
--- source/ui/dlg/generalpage.cxx	8 Jul 2005 10:39:12 -0000	1.43
+++ source/ui/dlg/generalpage.cxx	13 Sep 2005 14:50:25 -0000	1.43.52.1
@@ -540,7 +540,7 @@
         if ( bCommitTypeSelection )
         {
 		    USHORT nEntry = m_pDatasourceType->GetSelectEntryPos();
-			DATASOURCE_TYPE eSelectedType = static_cast<DATASOURCE_TYPE>(reinterpret_cast<sal_Int32>(m_pDatasourceType->GetEntryData(nEntry)));
+			DATASOURCE_TYPE eSelectedType = static_cast<DATASOURCE_TYPE>(reinterpret_cast<sal_IntPtr>(m_pDatasourceType->GetEntryData(nEntry)));
 			if (m_DBWizardMode)
 			{
                 if  (  ( m_pDatasourceType->GetSavedValue() != nEntry )
@@ -570,7 +570,7 @@
 	{
 		// get the type from the entry data
 		sal_Int16 nSelected = _pBox->GetSelectEntryPos();
-		DATASOURCE_TYPE eSelectedType = static_cast<DATASOURCE_TYPE>(reinterpret_cast<sal_Int32>(_pBox->GetEntryData(nSelected)));
+		DATASOURCE_TYPE eSelectedType = static_cast<DATASOURCE_TYPE>(reinterpret_cast<sal_IntPtr>(_pBox->GetEntryData(nSelected)));
 
 		setParentTitle(eSelectedType);
 		// let the impl method do all the stuff
Index: source/ui/dlg/indexdialog.cxx
===================================================================
RCS file: /cvs/dba/dbaccess/source/ui/dlg/indexdialog.cxx,v
retrieving revision 1.20
retrieving revision 1.20.4.1
diff -u -r1.20 -r1.20.4.1
--- source/ui/dlg/indexdialog.cxx	5 Sep 2005 08:59:35 -0000	1.20
+++ source/ui/dlg/indexdialog.cxx	13 Sep 2005 14:50:26 -0000	1.20.4.1
@@ -352,7 +352,7 @@
 		if (pSelected)
 		{
 			// is the current entry modified?
-			Indexes::const_iterator aSelectedPos = m_pIndexes->begin() + reinterpret_cast<sal_Int32>(pSelected->GetUserData());
+			Indexes::const_iterator aSelectedPos = m_pIndexes->begin() + reinterpret_cast<sal_IntPtr>(pSelected->GetUserData());
 			m_aActions.EnableItem(ID_INDEX_SAVE, aSelectedPos->isModified() || aSelectedPos->isNew());
 			m_aActions.EnableItem(ID_INDEX_RESET, aSelectedPos->isModified() || aSelectedPos->isNew());
             bSelectedAnything = bSelectedAnything && !aSelectedPos->bPrimaryKey;
@@ -406,7 +406,7 @@
 	{
 		DBG_ASSERT(_pEntry, "DbaIndexDialog::implCommit: invalid entry!");
 
-		Indexes::iterator aCommitPos = m_pIndexes->begin() + reinterpret_cast< sal_Int32 >(_pEntry->GetUserData());
+		Indexes::iterator aCommitPos = m_pIndexes->begin() + reinterpret_cast<sal_IntPtr>(_pEntry->GetUserData());
 
 		// if it's not a new index, remove it
 		// (we can't modify indexes, only drop'n'insert)
@@ -514,7 +514,7 @@
 	sal_Bool DbaIndexDialog::implDropIndex(SvLBoxEntry* _pEntry, sal_Bool _bRemoveFromCollection)
 	{
 		// do the drop
-		Indexes::iterator aDropPos = m_pIndexes->begin() + reinterpret_cast< sal_Int32 >(_pEntry->GetUserData());
+		Indexes::iterator aDropPos = m_pIndexes->begin() + reinterpret_cast<sal_IntPtr>(_pEntry->GetUserData());
 		DBG_ASSERT(aDropPos != m_pIndexes->end(), "DbaIndexDialog::OnDropIndex: did not find the index in my collection!");
 
 		SQLExceptionInfo aExceptionInfo;
@@ -596,7 +596,7 @@
 		SvLBoxEntry* pSelected = m_aIndexes.FirstSelected();
 		DBG_ASSERT(pSelected, "DbaIndexDialog::OnResetIndex: invalid call!");
 
-		Indexes::iterator aResetPos = m_pIndexes->begin() + reinterpret_cast< sal_Int32 >(pSelected->GetUserData());
+		Indexes::iterator aResetPos = m_pIndexes->begin() + reinterpret_cast<sal_IntPtr>(pSelected->GetUserData());
 
 		if (aResetPos->isNew())
 		{
@@ -669,7 +669,7 @@
 		if (pSelected)
 		{
 			// the descriptor
-			Indexes::const_iterator aSelected = m_pIndexes->begin() + reinterpret_cast<sal_Int32>(pSelected->GetUserData());
+			Indexes::const_iterator aSelected = m_pIndexes->begin() + reinterpret_cast<sal_IntPtr>(pSelected->GetUserData());
 			
 			if (aSelected->isModified() || aSelected->isNew())
 			{
@@ -706,7 +706,7 @@
 	//------------------------------------------------------------------
 	IMPL_LINK( DbaIndexDialog, OnEntryEdited, SvLBoxEntry*, _pEntry )
 	{
-		Indexes::iterator aPosition = m_pIndexes->begin() + reinterpret_cast<sal_Int32>(_pEntry->GetUserData());
+		Indexes::iterator aPosition = m_pIndexes->begin() + reinterpret_cast<sal_IntPtr>(_pEntry->GetUserData());
 		
 		DBG_ASSERT(aPosition >= m_pIndexes->begin() && aPosition < m_pIndexes->end(),
 			"DbaIndexDialog::OnEntryEdited: invalid entry!");
@@ -755,7 +755,7 @@
 			if (m_pFields->IsModified() && !m_pFields->SaveModified())
 				return sal_False;
 
-			Indexes::iterator aPreviouslySelected = m_pIndexes->begin() + reinterpret_cast<sal_Int32>(m_pPreviousSelection->GetUserData());
+			Indexes::iterator aPreviouslySelected = m_pIndexes->begin() + reinterpret_cast<sal_IntPtr>(m_pPreviousSelection->GetUserData());
 
 			// the unique flag
 			aPreviouslySelected->bUnique = m_aUnique.IsChecked();
@@ -816,7 +816,7 @@
 	{
 		if (m_pPreviousSelection)
 		{
-			Indexes::iterator aPreviouslySelected = m_pIndexes->begin() + reinterpret_cast<sal_Int32>(m_pPreviousSelection->GetUserData());
+			Indexes::iterator aPreviouslySelected = m_pIndexes->begin() + reinterpret_cast<sal_IntPtr>(m_pPreviousSelection->GetUserData());
 
 			if (!implSaveModified())
 				return sal_False;
@@ -833,7 +833,7 @@
 	IMPL_LINK( DbaIndexDialog, OnModified, void*, NOTINTERESTEDIN )
 	{
 		DBG_ASSERT(m_pPreviousSelection, "DbaIndexDialog, OnModified: invalid call!");
-		Indexes::iterator aPosition = m_pIndexes->begin() + reinterpret_cast<sal_Int32>(m_pPreviousSelection->GetUserData());
+		Indexes::iterator aPosition = m_pIndexes->begin() + reinterpret_cast<sal_IntPtr>(m_pPreviousSelection->GetUserData());
 
 		aPosition->setModified(sal_True);
 		updateToolbox();
@@ -847,7 +847,7 @@
 		if (_pEntry)
 		{
 			// the descriptor of the selected index
-			Indexes::const_iterator aSelectedIndex = m_pIndexes->begin() + reinterpret_cast<sal_Int32>(_pEntry->GetUserData());
+			Indexes::const_iterator aSelectedIndex = m_pIndexes->begin() + reinterpret_cast<sal_IntPtr>(_pEntry->GetUserData());
 
 			// fill the controls
 			m_aUnique.Check(aSelectedIndex->bUnique);