Index: source/Accessibility/accessibletabbarpagelist.cxx
===================================================================
RCS file: /cvs/util/svtools/source/Accessibility/accessibletabbarpagelist.cxx,v
retrieving revision 1.13
retrieving revision 1.13.760.1
diff -u -r1.13 -r1.13.760.1
--- source/Accessibility/accessibletabbarpagelist.cxx	22 May 2003 13:37:13 -0000	1.13
+++ source/Accessibility/accessibletabbarpagelist.cxx	13 Sep 2005 14:51:03 -0000	1.13.760.1
@@ -346,7 +346,7 @@
 			{
 				if ( m_pTabBar )
 				{				
-					sal_uInt16 nPageId = (sal_uInt16)(int) rVclWindowEvent.GetData();
+					sal_uInt16 nPageId = (sal_uInt16)(sal_IntPtr) rVclWindowEvent.GetData();
 					sal_uInt16 nPagePos = m_pTabBar->GetPagePos( nPageId );
 					UpdateEnabled( nPagePos, sal_True );
 				}
@@ -356,7 +356,7 @@
 			{
 				if ( m_pTabBar )
 				{				
-					sal_uInt16 nPageId = (sal_uInt16)(int) rVclWindowEvent.GetData();
+					sal_uInt16 nPageId = (sal_uInt16)(sal_IntPtr) rVclWindowEvent.GetData();
 					sal_uInt16 nPagePos = m_pTabBar->GetPagePos( nPageId );
 					UpdateEnabled( nPagePos, sal_False );
 				}
@@ -371,7 +371,7 @@
 			{
 				if ( m_pTabBar )
 				{				
-					sal_uInt16 nPageId = (sal_uInt16)(int) rVclWindowEvent.GetData();
+					sal_uInt16 nPageId = (sal_uInt16)(sal_IntPtr) rVclWindowEvent.GetData();
 					sal_uInt16 nPagePos = m_pTabBar->GetPagePos( nPageId );
 					UpdateSelected( nPagePos, sal_True );
 				}
@@ -381,7 +381,7 @@
 			{
 				if ( m_pTabBar )
 				{				
-					sal_uInt16 nPageId = (sal_uInt16)(int) rVclWindowEvent.GetData();
+					sal_uInt16 nPageId = (sal_uInt16)(sal_IntPtr) rVclWindowEvent.GetData();
 					sal_uInt16 nPagePos = m_pTabBar->GetPagePos( nPageId );
 					UpdateSelected( nPagePos, sal_False );
 				}
@@ -391,7 +391,7 @@
 			{
 				if ( m_pTabBar )
 				{
-					sal_uInt16 nPageId = (sal_uInt16)(int) rVclWindowEvent.GetData();
+					sal_uInt16 nPageId = (sal_uInt16)(sal_IntPtr) rVclWindowEvent.GetData();
 					sal_uInt16 nPagePos = m_pTabBar->GetPagePos( nPageId );
 					InsertChild( nPagePos );
 				}
@@ -401,7 +401,7 @@
 			{
 				if ( m_pTabBar )
 				{
-					sal_uInt16 nPageId = (sal_uInt16)(int) rVclWindowEvent.GetData();
+					sal_uInt16 nPageId = (sal_uInt16)(sal_IntPtr) rVclWindowEvent.GetData();
 
 					if ( nPageId == TAB_PAGE_NOTFOUND )
 					{
@@ -436,7 +436,7 @@
 			break;
 			case VCLEVENT_TABBAR_PAGETEXTCHANGED:
 			{
-			    sal_uInt16 nPageId = (sal_uInt16)(int) rVclWindowEvent.GetData();
+			    sal_uInt16 nPageId = (sal_uInt16)(sal_IntPtr) rVclWindowEvent.GetData();
 				sal_uInt16 nPagePos = m_pTabBar->GetPagePos( nPageId );
 				UpdatePageText( nPagePos );
 			}
Index: source/dialogs/addresstemplate.cxx
===================================================================
RCS file: /cvs/util/svtools/source/dialogs/addresstemplate.cxx,v
retrieving revision 1.18
retrieving revision 1.18.286.1
diff -u -r1.18 -r1.18.286.1
--- source/dialogs/addresstemplate.cxx	8 Sep 2004 15:22:06 -0000	1.18
+++ source/dialogs/addresstemplate.cxx	13 Sep 2005 14:51:04 -0000	1.18.286.1
@@ -1047,7 +1047,7 @@
 	IMPL_LINK(AddressBookSourceDialog, OnFieldSelect, ListBox*, _pListbox)
 	{
 		// the index of the affected list box in our array
-		sal_Int32 nListBoxIndex = reinterpret_cast<sal_Int32>(_pListbox->GetEntryData(0));
+		sal_IntPtr nListBoxIndex = reinterpret_cast<sal_IntPtr>(_pListbox->GetEntryData(0));
 		DBG_ASSERT(nListBoxIndex >= 0 && nListBoxIndex < FIELD_CONTROLS_VISIBLE,
 			"AddressBookSourceDialog::OnFieldScroll: invalid list box entry!");
 
Index: source/dialogs/wizardmachine.cxx
===================================================================
RCS file: /cvs/util/svtools/source/dialogs/wizardmachine.cxx,v
retrieving revision 1.12
retrieving revision 1.12.48.2
diff -u -r1.12 -r1.12.48.2
--- source/dialogs/wizardmachine.cxx	11 Mar 2005 10:42:17 -0000	1.12
+++ source/dialogs/wizardmachine.cxx	19 Sep 2005 15:00:56 -0000	1.12.48.2
@@ -502,7 +502,7 @@
 				pChildLoop->SetStyle(pChildLoop->GetStyle() & ~WB_DEFBUTTON);
 
 				// give the button the focus, this is the best method to enforce it to be repainted
-				sal_uInt32 nSaveFocusId = Window::SaveFocus();
+				sal_uIntPtr nSaveFocusId = Window::SaveFocus();
 				pChildLoop->GrabFocus();
 				Window::EndSaveFocus(nSaveFocusId);
 			}
@@ -524,7 +524,7 @@
 		{
 			_pNewDefButton->SetStyle(_pNewDefButton->GetStyle() | WB_DEFBUTTON);
 			// give the button the focus, this is the best method to enforce it to be repainted
-			sal_uInt32 nSaveFocusId = Window::SaveFocus();
+			sal_uIntPtr nSaveFocusId = Window::SaveFocus();
 			_pNewDefButton->GrabFocus();
 			Window::EndSaveFocus(nSaveFocusId);
 		}