Index: inc/svdmark.hxx
===================================================================
RCS file: /cvs/graphics/svx/inc/svdmark.hxx,v
retrieving revision 1.3
retrieving revision 1.3.442.1
diff -u -r1.3 -r1.3.442.1
--- inc/svdmark.hxx	21 Jan 2005 15:25:13 -0000	1.3
+++ inc/svdmark.hxx	13 Sep 2005 14:50:09 -0000	1.3.442.1
@@ -164,7 +164,7 @@
 
 	sal_uInt16 GetObject(sal_uInt32 nPos) const 
 	{ 
-		return sal_uInt16(sal_uInt32(maArray.GetObject(nPos))); 
+		return sal_uInt16(sal_uIntPtr(maArray.GetObject(nPos))); 
 	}
 
 	sal_uInt32 GetPos(sal_uInt16 nElem) const
Index: source/dialog/frmdirlbox.cxx
===================================================================
RCS file: /cvs/graphics/svx/source/dialog/frmdirlbox.cxx,v
retrieving revision 1.2
retrieving revision 1.2.768.1
diff -u -r1.2 -r1.2.768.1
--- source/dialog/frmdirlbox.cxx	2 Aug 2004 17:44:27 -0000	1.2
+++ source/dialog/frmdirlbox.cxx	13 Sep 2005 14:50:10 -0000	1.2.768.1
@@ -78,7 +78,7 @@
 
 inline SvxFrameDirection lclVoidToEnum( void* pDirection )
 {
-    return static_cast< SvxFrameDirection >( reinterpret_cast< sal_uInt32 >( pDirection ) );
+    return static_cast< SvxFrameDirection >( reinterpret_cast< sal_IntPtr >( pDirection ) );
 }
 
 } // namespace
Index: source/dialog/hyphen.cxx
===================================================================
RCS file: /cvs/graphics/svx/source/dialog/hyphen.cxx,v
retrieving revision 1.3
retrieving revision 1.3.1670.1
diff -u -r1.3 -r1.3.1670.1
--- source/dialog/hyphen.cxx	14 Jun 2001 16:14:55 -0000	1.3
+++ source/dialog/hyphen.cxx	13 Sep 2005 14:50:10 -0000	1.3.1670.1
@@ -565,7 +565,7 @@
 IMPL_LINK( SvxHyphenWordDialog, LangError_Impl, void *, nLang )
 {
 	// Status anzeigen
-	String aErr( ::GetLanguageString( (LanguageType)(sal_uInt32)nLang ) );
+	String aErr( ::GetLanguageString( (LanguageType)(sal_IntPtr)nLang ) );
 	aErr += SVX_RESSTR( RID_SVXSTR_HMERR_CHECKINSTALL );
 	InfoBox( this, aErr ).Execute();
 	return 0;
Index: source/dialog/optgdlg.cxx
===================================================================
RCS file: /cvs/graphics/svx/source/dialog/optgdlg.cxx,v
retrieving revision 1.23
retrieving revision 1.23.252.1
diff -u -r1.23 -r1.23.252.1
--- source/dialog/optgdlg.cxx	1 Apr 2005 12:25:23 -0000	1.23
+++ source/dialog/optgdlg.cxx	13 Sep 2005 14:50:11 -0000	1.23.252.1
@@ -1247,7 +1247,7 @@
             sal_Int32 d = 0;
             for (sal_Int32 i=0; i < aUserInterfaceLB.GetEntryCount(); i++)
             {
-                d = (sal_Int32)aUserInterfaceLB.GetEntryData(i);
+                d = (sal_Int32)(sal_IntPtr)aUserInterfaceLB.GetEntryData(i);
                 if ( d > 0 && seqInstalledLanguages.getLength() > d-1 && seqInstalledLanguages[d-1].equals(m_sUserLocaleValue))
                     aUserInterfaceLB.SelectEntryPos(i);
             }
@@ -1395,7 +1395,7 @@
         // handle settings for UI Language
         // a change of setting needs to bring up a warning message
         OUString aLangString;
-        sal_Int32 d = (sal_Int32)aUserInterfaceLB.GetEntryData(aUserInterfaceLB.GetSelectEntryPos());
+        sal_Int32 d = (sal_Int32)(sal_IntPtr)aUserInterfaceLB.GetEntryData(aUserInterfaceLB.GetSelectEntryPos());
         if( d > 0 && seqInstalledLanguages.getLength() > d-1)
             aLangString = seqInstalledLanguages[d-1];
 
Index: source/dialog/thesdlg.cxx
===================================================================
RCS file: /cvs/graphics/svx/source/dialog/thesdlg.cxx,v
retrieving revision 1.11
retrieving revision 1.11.206.1
diff -u -r1.11 -r1.11.206.1
--- source/dialog/thesdlg.cxx	3 May 2005 13:57:14 -0000	1.11
+++ source/dialog/thesdlg.cxx	13 Sep 2005 14:50:11 -0000	1.11.206.1
@@ -541,7 +541,7 @@
 IMPL_LINK( SvxThesaurusDialog, SpellErrorHdl_Impl, void *, pError )
 {
 	// Der "ubergebene Pointer pError ist die falsche Sprachen-Nummer
-	LanguageType eLang = (LanguageType)(sal_uInt32)pError;
+	LanguageType eLang = (LanguageType)(sal_uIntPtr)pError;
 	String aErr( ::GetLanguageString( eLang ) );
 	// Fehlermeldung ausgeben
 	ErrorHandler::HandleError(
Index: source/editeng/impedit3.cxx
===================================================================
RCS file: /cvs/graphics/svx/source/editeng/impedit3.cxx,v
retrieving revision 1.95
retrieving revision 1.95.254.1
diff -u -r1.95 -r1.95.254.1
--- source/editeng/impedit3.cxx	30 Mar 2005 07:50:38 -0000	1.95
+++ source/editeng/impedit3.cxx	13 Sep 2005 14:50:12 -0000	1.95.254.1
@@ -3625,7 +3625,7 @@
 		{
 			// Als deleted kenzeichnen, damit keine Selektion auf diesem
 			// Absatz beginnt oder endet...
-			DeletedNodeInfo* pDelInfo = new DeletedNodeInfo( (sal_uInt32)pPPortion->GetNode(), nParagraph );
+			DeletedNodeInfo* pDelInfo = new DeletedNodeInfo( (sal_uIntPtr)pPPortion->GetNode(), nParagraph );
 			aDeletedNodes.Insert( pDelInfo, aDeletedNodes.Count() );
 			UpdateSelections();
 			// Dann kriege ich den unteren Bereich nicht invalidiert,
Index: source/editeng/impedit4.cxx
===================================================================
RCS file: /cvs/graphics/svx/source/editeng/impedit4.cxx,v
retrieving revision 1.56
retrieving revision 1.56.248.1
diff -u -r1.56 -r1.56.248.1
--- source/editeng/impedit4.cxx	4 Apr 2005 08:30:26 -0000	1.56
+++ source/editeng/impedit4.cxx	13 Sep 2005 14:50:13 -0000	1.56.248.1
@@ -1291,7 +1291,7 @@
 	if ( pPortionInfo && ( (long)pPortionInfo->GetPaperWidth() == aPaperSize.Width() )
 			&& ( pPortionInfo->GetRefMapMode() == GetRefDevice()->GetMapMode() ) )
 	{
-		if ( ( pPortionInfo->GetRefDevPtr() == (sal_uInt32)GetRefDevice() ) ||
+		if ( ( pPortionInfo->GetRefDevPtr() == (sal_uIntPtr)GetRefDevice() ) ||
 			 ( ( pPortionInfo->GetRefDevType() == OUTDEV_VIRDEV ) &&
 			   ( GetRefDevice()->GetOutDevType() == OUTDEV_VIRDEV ) ) )
 		bUsePortionInfo = sal_True;
Index: source/fmcomp/fmgridif.cxx
===================================================================
RCS file: /cvs/graphics/svx/source/fmcomp/fmgridif.cxx,v
retrieving revision 1.46
retrieving revision 1.46.292.1
diff -u -r1.46 -r1.46.292.1
--- source/fmcomp/fmgridif.cxx	10 Mar 2005 16:22:41 -0000	1.46
+++ source/fmcomp/fmgridif.cxx	13 Sep 2005 14:50:14 -0000	1.46.292.1
@@ -2888,7 +2888,7 @@
 	if (!m_pStateCache)
 		return -1;	// unspecified
 
-	sal_uInt16 nSlot = (sal_uInt16)(sal_uInt32)pSlot;
+	sal_uInt16 nSlot = (sal_uInt16)(sal_uIntPtr)pSlot;
 
 	// search the given slot with our supported sequence
 	Sequence<sal_uInt16>& aSupported = getSupportedGridSlots();
@@ -2917,7 +2917,7 @@
 
 	DBG_ASSERT(aSlots.getLength() == aUrls.getLength(), "FmXGridPeer::OnExecuteGridSlot : inconstent data returned by getSupportedURLs/getSupportedGridSlots !");
 
-	sal_uInt16 nSlot = (sal_uInt16)(sal_uInt32)pSlot;
+	sal_uInt16 nSlot = (sal_uInt16)(sal_uIntPtr)pSlot;
 	for (sal_uInt16 i=0; i<aSlots.getLength(); ++i, ++pUrls, ++pSlots)
 	{
 		if (*pSlots == nSlot)
Index: source/form/fmsrcimp.cxx
===================================================================
RCS file: /cvs/graphics/svx/source/form/fmsrcimp.cxx,v
retrieving revision 1.27
retrieving revision 1.27.572.1
diff -u -r1.27 -r1.27.572.1
--- source/form/fmsrcimp.cxx	16 Nov 2004 11:24:58 -0000	1.27
+++ source/form/fmsrcimp.cxx	13 Sep 2005 14:50:15 -0000	1.27.572.1
@@ -1190,7 +1190,7 @@
         return 0L;
 
     FmSearchProgress aProgress;
-    aProgress.nCurrentRecord = (sal_uInt32)pCounterAsVoid;
+    aProgress.nCurrentRecord = (sal_uIntPtr)pCounterAsVoid;
     aProgress.aSearchState = FmSearchProgress::STATE_PROGRESS_COUNTING;
     m_aProgressHandler.Call(&aProgress);
 
Index: source/inc/fmvwimp.hxx
===================================================================
RCS file: /cvs/graphics/svx/source/inc/fmvwimp.hxx,v
retrieving revision 1.24
retrieving revision 1.24.164.1
diff -u -r1.24 -r1.24.164.1
--- source/inc/fmvwimp.hxx	14 Jun 2005 16:34:00 -0000	1.24
+++ source/inc/fmvwimp.hxx	13 Sep 2005 14:50:16 -0000	1.24.164.1
@@ -205,9 +205,9 @@
 
 	FmFormObj*		m_pMarkedGrid;
 	FmFormView*		m_pView;
-	sal_uInt32		m_nActivationEvent;
-	sal_uInt32		m_nErrorMessageEvent;	// event for an asynchronous error message. See also m_aAsyncError
-	sal_uInt32      m_nAutoFocusEvent;		// event for asynchronously setting the focus to a control
+	sal_uIntPtr		m_nActivationEvent;
+	sal_uIntPtr		m_nErrorMessageEvent;	// event for an asynchronous error message. See also m_aAsyncError
+	sal_uIntPtr		m_nAutoFocusEvent;		// event for asynchronously setting the focus to a control
 
 	::com::sun::star::sdb::SQLErrorEvent
 					m_aAsyncError;			// error event which is to be displayed asyn. See m_nErrorMessageEvent.
Index: source/msfilter/msdffimp.cxx
===================================================================
RCS file: /cvs/graphics/svx/source/msfilter/msdffimp.cxx,v
retrieving revision 1.122
retrieving revision 1.122.110.1
diff -u -r1.122 -r1.122.110.1
--- source/msfilter/msdffimp.cxx	12 Jul 2005 13:38:39 -0000	1.122
+++ source/msfilter/msdffimp.cxx	13 Sep 2005 14:50:17 -0000	1.122.110.1
@@ -864,9 +864,9 @@
 			( (DffPropSet*) this )->mpContents[ nRecType ] = nCurrentFlags;
 
 
-			sal_uInt32 nNewContentEx = (sal_uInt32)rMaster.GetCurObject();
+			sal_uInt32 nNewContentEx = (sal_uInt32)(sal_uIntPtr)rMaster.GetCurObject();
 			if ( ((DffPropSet*)this)->Seek( nRecType ) )
-				nNewContentEx |= (sal_uInt32)GetCurObject();
+				nNewContentEx |= (sal_uInt32)(sal_uIntPtr)GetCurObject();
 			( (DffPropSet*) this )->Replace( nRecType, (void*)nNewContentEx );
 		}
 		else
@@ -891,7 +891,7 @@
 	{
 		if ( ((DffPropSet*)this)->Seek( nId | 0x3f ) )
 		{
-			UINT32 nContentEx = (UINT32)GetCurObject();
+			sal_uInt32 nContentEx = (sal_uInt32)(sal_uIntPtr)GetCurObject();
 			bRetValue = ( nContentEx & ( 1 << ( 0xf - ( nId & 0xf ) ) ) ) != 0;
 		}
 	}
@@ -934,7 +934,7 @@
 		{
 			if ( ((DffPropSet*)this)->Seek( nRecType ) )
 			{
-				UINT32 nOffset = (UINT32)GetCurObject();
+				sal_uInt32 nOffset = (sal_uInt32)(sal_uIntPtr)GetCurObject();
 				if ( nOffset && ( ( nOffset & 0xffff0000 ) != 0xffff0000 ) )
 				{
 					rStrm.Seek( nOffset );
@@ -3609,7 +3609,7 @@
 		UINT32 nShapeId, nSec = ( nId >> 10 ) - 1;
 		if ( nSec < mnIdClusters )
 		{
-			UINT32 nOfs = (UINT32)maDgOffsetTable.Get( mpFidcls[ nSec ].dgid );
+			sal_IntPtr nOfs = (sal_IntPtr)maDgOffsetTable.Get( mpFidcls[ nSec ].dgid );
 			if ( nOfs )
 			{
 				rSt.Seek( nOfs );
Index: source/svdraw/svdfppt.cxx
===================================================================
RCS file: /cvs/graphics/svx/source/svdraw/svdfppt.cxx,v
retrieving revision 1.132
retrieving revision 1.132.114.1
diff -u -r1.132 -r1.132.114.1
--- source/svdraw/svdfppt.cxx	12 Jul 2005 13:38:57 -0000	1.132
+++ source/svdraw/svdfppt.cxx	13 Sep 2005 14:50:20 -0000	1.132.114.1
@@ -5294,7 +5294,7 @@
 
 		sal_Bool bEmptyParaPossible = sal_True;
 		sal_uInt32 nCurrentPara = nCharAnzRead = 0;
-		sal_uInt32 nCurrentSpecMarker = (sal_uInt32)aSpecMarkerList.First();
+		sal_uInt32 nCurrentSpecMarker = (sal_uInt32)(sal_uIntPtr)aSpecMarkerList.First();
 		sal_uInt32 nExtBuInd = 0x3c00;
 
 		while ( nCharAnzRead < nStringLen )
@@ -5490,7 +5490,7 @@
 						nCharAnzRead++;
 						bEmptyParaPossible = sal_False;
 					}
-					nCurrentSpecMarker = (sal_uInt32)aSpecMarkerList.Next();
+					nCurrentSpecMarker = (sal_uInt32)(sal_uIntPtr)aSpecMarkerList.Next();
 				}
 				else
 				{
Index: source/svdraw/svdmark.cxx
===================================================================
RCS file: /cvs/graphics/svx/source/svdraw/svdmark.cxx,v
retrieving revision 1.4
retrieving revision 1.4.804.1
diff -u -r1.4 -r1.4.804.1
--- source/svdraw/svdmark.cxx	12 Jul 2004 14:46:24 -0000	1.4
+++ source/svdraw/svdmark.cxx	13 Sep 2005 14:50:21 -0000	1.4.804.1
@@ -105,8 +105,8 @@
 
 int ImpSdrUShortContSorter::Compare(const void* pElem1, const void* pElem2) const
 {
-	sal_uInt16 n1((sal_uInt16)((sal_uInt32)pElem1));
-	sal_uInt16 n2((sal_uInt16)((sal_uInt32)pElem2));
+	sal_uInt16 n1((sal_uInt16)((sal_uIntPtr)pElem1));
+	sal_uInt16 n2((sal_uInt16)((sal_uIntPtr)pElem2));
 
 	return ((n1 < n2) ? (-1) : (n1 > n2) ? (1) : (0));
 }