Index: source/core/doc/dbgoutsw.cxx
===================================================================
RCS file: /cvs/sw/sw/source/core/doc/dbgoutsw.cxx,v
retrieving revision 1.13
retrieving revision 1.13.316.1
diff -u -r1.13 -r1.13.316.1
--- source/core/doc/dbgoutsw.cxx	21 Feb 2005 16:14:39 -0000	1.13
+++ source/core/doc/dbgoutsw.cxx	13 Sep 2005 14:50:44 -0000	1.13.316.1
@@ -381,7 +381,7 @@
     aStr += String::CreateFromInt32(rPos.nContent.GetIndex());
     aStr += String(": ", RTL_TEXTENCODING_ASCII_US);
     aStr += String::CreateFromInt32
-        (reinterpret_cast<sal_Int32>(rPos.nContent.GetIdxReg()), 16);
+        (reinterpret_cast<sal_IntPtr>(rPos.nContent.GetIdxReg()), 16);
 
     aStr += String(" )", RTL_TEXTENCODING_ASCII_US);
 
Index: source/core/text/inftxt.hxx
===================================================================
RCS file: /cvs/sw/sw/source/core/text/inftxt.hxx,v
retrieving revision 1.46
retrieving revision 1.46.198.1
diff -u -r1.46 -r1.46.198.1
--- source/core/text/inftxt.hxx	18 Apr 2005 14:35:16 -0000	1.46
+++ source/core/text/inftxt.hxx	13 Sep 2005 14:50:46 -0000	1.46.198.1
@@ -205,7 +205,7 @@
  *						class SwTxtSizeInfo
  *************************************************************************/
 
-DECLARE_TABLE( SwTxtPortionTable, INT32 )
+DECLARE_TABLE( SwTxtPortionTable, sal_IntPtr )
 
 class SwTxtSizeInfo : public SwTxtInfo
 {
Index: source/filter/ww8/wrtw8esh.cxx
===================================================================
RCS file: /cvs/sw/sw/source/filter/ww8/wrtw8esh.cxx,v
retrieving revision 1.84
retrieving revision 1.84.236.1
diff -u -r1.84 -r1.84.236.1
--- source/filter/ww8/wrtw8esh.cxx	30 Mar 2005 10:54:11 -0000	1.84
+++ source/filter/ww8/wrtw8esh.cxx	13 Sep 2005 14:50:47 -0000	1.84.236.1
@@ -2963,7 +2963,7 @@
 
     //Create a destination storage for the microsoft control
     String sStorageName('_');
-    sStorageName += String::CreateFromInt32((UINT32)pObj);
+    sStorageName += String::CreateFromInt32((sal_uInt32)(sal_uIntPtr)pObj);
     SvStorageRef xOleStg = xObjPool->OpenSotStorage(sStorageName,
                  STREAM_READWRITE|STREAM_SHARE_DENYALL);
 
@@ -2983,7 +2983,7 @@
     };
     //Set the obj id into the sprmCPicLocation
     BYTE *pData = aSpecOLE+2;
-    Set_UInt32(pData,(UINT32)pObj);
+    Set_UInt32(pData,(sal_uInt32)(sal_uIntPtr)pObj);
 
     String sFld(FieldString(ww::eCONTROL));
     sFld.APPEND_CONST_ASC("Forms.");
Index: source/filter/ww8/wrtww8gr.cxx
===================================================================
RCS file: /cvs/sw/sw/source/filter/ww8/wrtww8gr.cxx,v
retrieving revision 1.40
retrieving revision 1.40.398.1
diff -u -r1.40 -r1.40.398.1
--- source/filter/ww8/wrtww8gr.cxx	11 Jan 2005 12:35:22 -0000	1.40
+++ source/filter/ww8/wrtww8gr.cxx	13 Sep 2005 14:50:48 -0000	1.40.398.1
@@ -319,7 +319,7 @@
         if( xObj.is() )
         {
             ::com::sun::star::embed::XEmbeddedObject *pObj = xObj.get();
-            UINT32 nPictureId = (UINT32)pObj;
+            sal_uInt32 nPictureId = (sal_uInt32)(sal_uIntPtr)pObj;
             Set_UInt32(pDataAdr, nPictureId);
 
             WW8OleMap *pMap = new WW8OleMap(nPictureId);
Index: source/ui/config/optload.cxx
===================================================================
RCS file: /cvs/sw/sw/source/ui/config/optload.cxx,v
retrieving revision 1.21
retrieving revision 1.21.380.1
diff -u -r1.21 -r1.21.380.1
--- source/ui/config/optload.cxx	25 Jan 2005 14:43:00 -0000	1.21
+++ source/ui/config/optload.cxx	13 Sep 2005 14:50:49 -0000	1.21.380.1
@@ -329,7 +329,7 @@
 
 		for ( USHORT i = 0; i < aMetricLB.GetEntryCount(); ++i )
 		{
-			if ( (int)aMetricLB.GetEntryData( i ) == (int)eFieldUnit )
+			if ( (int)(sal_IntPtr)aMetricLB.GetEntryData( i ) == (int)eFieldUnit )
 			{
 				aMetricLB.SelectEntryPos( i );
 				break;
Index: source/ui/config/optpage.cxx
===================================================================
RCS file: /cvs/sw/sw/source/ui/config/optpage.cxx,v
retrieving revision 1.44
retrieving revision 1.44.328.1
diff -u -r1.44 -r1.44.328.1
--- source/ui/config/optpage.cxx	16 Feb 2005 17:48:16 -0000	1.44
+++ source/ui/config/optpage.cxx	13 Sep 2005 14:50:50 -0000	1.44.328.1
@@ -322,7 +322,7 @@
         FieldUnit eFieldUnit = (FieldUnit)((SfxUInt16Item*)pItem)->GetValue();
         for ( USHORT i = 0; i < rMetric.GetEntryCount(); ++i )
 		{
-            if ( (int)rMetric.GetEntryData( i ) == (int)eFieldUnit )
+            if ( (int)(sal_IntPtr)rMetric.GetEntryData( i ) == (int)eFieldUnit )
 			{
                 rMetric.SelectEntryPos( i );
 				break;
Index: source/ui/dbui/createaddresslistdialog.cxx
===================================================================
RCS file: /cvs/sw/sw/source/ui/dbui/createaddresslistdialog.cxx,v
retrieving revision 1.4
retrieving revision 1.4.246.1
diff -u -r1.4 -r1.4.246.1
--- source/ui/dbui/createaddresslistdialog.cxx	23 Mar 2005 11:00:04 -0000	1.4
+++ source/ui/dbui/createaddresslistdialog.cxx	13 Sep 2005 14:50:51 -0000	1.4.246.1
@@ -370,7 +370,7 @@
 IMPL_LINK(SwAddressControl_Impl, EditModifyHdl_Impl, Edit*, pEdit)
 {
     //get the data element number of the current set
-    sal_Int32 nIndex = (sal_Int32)pEdit->GetData();
+    sal_Int32 nIndex = (sal_Int32)(sal_IntPtr)pEdit->GetData();
     //get the index of the set
     DBG_ASSERT(m_pData->aDBData.size() > m_nCurrentDataSet, "wrong data set index" );
     if(m_pData->aDBData.size() > m_nCurrentDataSet)
Index: source/ui/dbui/mmaddressblockpage.cxx
===================================================================
RCS file: /cvs/sw/sw/source/ui/dbui/mmaddressblockpage.cxx,v
retrieving revision 1.6
retrieving revision 1.6.288.1
diff -u -r1.6 -r1.6.288.1
--- source/ui/dbui/mmaddressblockpage.cxx	7 Mar 2005 17:35:17 -0000	1.6
+++ source/ui/dbui/mmaddressblockpage.cxx	13 Sep 2005 14:50:52 -0000	1.6.288.1
@@ -715,7 +715,7 @@
   -----------------------------------------------------------------------*/
 IMPL_LINK(SwCustomizeAddressBlockDialog, ListBoxSelectHdl_Impl, DDListBox*, pBox)
 {
-    sal_Int32 nUserData = (sal_Int32)pBox->FirstSelected()->GetUserData();
+    sal_Int32 nUserData = (sal_Int32)(sal_IntPtr)pBox->FirstSelected()->GetUserData();
     // Check if the selected entry is already in the address and then forbid inserting
     m_aInsertFieldIB.Enable(nUserData >= 0 || !HasItem_Impl(nUserData));
     return 0;
@@ -781,7 +781,7 @@
             String sEntry = m_aAddressElementsLB.GetEntryText(pEntry);
             if( sSelected.Equals( sEntry, 1, sSelected.Len() - 2 ) )
             {
-                nRet = (sal_Int32)pEntry->GetUserData();
+                nRet = (sal_Int32)(sal_IntPtr)pEntry->GetUserData();
                 break;
             }    
         }    
@@ -797,7 +797,7 @@
     for(ULONG i = 0; i < m_aAddressElementsLB.GetEntryCount();  ++i)
     {
         SvLBoxEntry* pEntry = m_aAddressElementsLB.GetEntry(i);
-        if((sal_Int32)pEntry->GetUserData() == nUserData)
+        if((sal_Int32)(sal_IntPtr)pEntry->GetUserData() == nUserData)
         {
             sEntry = m_aAddressElementsLB.GetEntryText(pEntry);
             break;
@@ -905,7 +905,7 @@
     m_aRemoveFieldIB.Enable(m_aDragED.HasCurrentItem() ? sal_True : sal_False);
     SvLBoxEntry* pEntry = m_aAddressElementsLB.GetCurEntry();
     m_aInsertFieldIB.Enable( pEntry && 
-            (0 < (sal_Int32)pEntry->GetUserData() || m_aFieldCB.GetText().Len()));
+            (0 < (sal_Int32)(sal_IntPtr)pEntry->GetUserData() || m_aFieldCB.GetText().Len()));
 }
 /*-- 28.04.2004 12:04:14---------------------------------------------------
 
@@ -931,7 +931,7 @@
             String sEntry = m_aAddressElementsLB.GetEntryText(pEntry);
             sEntry += '>';
             sEntry.Insert('<', 0);
-            sal_Int32 nUserData = (sal_Int32)pEntry->GetUserData();
+            sal_Int32 nUserData = (sal_Int32)(sal_IntPtr)pEntry->GetUserData();
             switch(nUserData)
             {        
                 case USER_DATA_SALUTATION : sAddress.SearchAndReplace(sEntry, m_sCurrentSalutation); break;
@@ -1446,7 +1446,7 @@
         uno::Reference<
              datatransfer::XTransferable > xRef( pContainer );
         
-        sal_Int32 nUserData = (sal_Int32)pEntry->GetUserData();
+        sal_Int32 nUserData = (sal_Int32)(sal_IntPtr)pEntry->GetUserData();
         //special entries can only be once in the address / greeting
         if(nUserData >= 0 || !m_pParentDialog->HasItem_Impl(nUserData))
         {        
Index: source/ui/frmdlg/column.cxx
===================================================================
RCS file: /cvs/sw/sw/source/ui/frmdlg/column.cxx,v
retrieving revision 1.27
retrieving revision 1.27.608.1
diff -u -r1.27 -r1.27.608.1
--- source/ui/frmdlg/column.cxx	23 Aug 2004 08:55:09 -0000	1.27
+++ source/ui/frmdlg/column.cxx	13 Sep 2005 14:50:54 -0000	1.27.608.1
@@ -731,7 +731,7 @@
         ( nPos = aTextDirectionLB.GetSelectEntryPos() ) !=
                                             aTextDirectionLB.GetSavedValue() )
 	{
-        sal_uInt32 nDirection = (sal_uInt32)aTextDirectionLB.GetEntryData( nPos );
+        sal_uInt32 nDirection = (sal_uInt32)(sal_IntPtr)aTextDirectionLB.GetEntryData( nPos );
         rSet.Put( SvxFrameDirectionItem( (SvxFrameDirection)nDirection, RES_FRAMEDIR));
 	}
     return TRUE;
Index: source/ui/frmdlg/cption.cxx
===================================================================
RCS file: /cvs/sw/sw/source/ui/frmdlg/cption.cxx,v
retrieving revision 1.19
retrieving revision 1.19.380.1
diff -u -r1.19 -r1.19.380.1
--- source/ui/frmdlg/cption.cxx	25 Jan 2005 14:44:13 -0000	1.19
+++ source/ui/frmdlg/cption.cxx	13 Sep 2005 14:50:54 -0000	1.19.380.1
@@ -374,7 +374,7 @@
         aName.EraseTrailingChars( ' ' );
         aOpt.SetCategory( aName );
     }
-    aOpt.SetNumType( (sal_uInt16)(sal_uInt32)aFormatBox.GetEntryData( aFormatBox.GetSelectEntryPos() ) );
+    aOpt.SetNumType( (sal_uInt16)(sal_uIntPtr)aFormatBox.GetEntryData( aFormatBox.GetSelectEntryPos() ) );
     aOpt.SetSeparator( aSepEdit.IsEnabled() ? aSepEdit.GetText() : String() );
     aOpt.SetCaption( aTextEdit.GetText() );
     aOpt.SetPos( aPosBox.GetSelectEntryPos() );
@@ -449,7 +449,7 @@
     sal_Bool bNone = sFldTypeName == sNone;
     if( !bNone )
     {
-        sal_uInt16 nNumFmt = (sal_uInt16)(sal_uInt32)aFormatBox.GetEntryData(
+        sal_uInt16 nNumFmt = (sal_uInt16)(sal_uIntPtr)aFormatBox.GetEntryData(
                                         aFormatBox.GetSelectEntryPos() );
         if( SVX_NUM_NUMBER_NONE != nNumFmt )
         {
Index: source/ui/index/cnttab.cxx
===================================================================
RCS file: /cvs/sw/sw/source/ui/index/cnttab.cxx,v
retrieving revision 1.62
retrieving revision 1.62.398.1
diff -u -r1.62 -r1.62.398.1
--- source/ui/index/cnttab.cxx	11 Jan 2005 12:42:03 -0000	1.62
+++ source/ui/index/cnttab.cxx	13 Sep 2005 14:50:55 -0000	1.62.398.1
@@ -2555,13 +2555,13 @@
 	{
 		rDesc.SetSortByDocument(aSortDocPosRB.IsChecked());
 		SwTOXSortKey aKey1, aKey2, aKey3;
-		aKey1.eField = (ToxAuthorityField)(sal_uInt32)aFirstKeyLB.GetEntryData(
+		aKey1.eField = (ToxAuthorityField)(sal_uIntPtr)aFirstKeyLB.GetEntryData(
 									aFirstKeyLB.GetSelectEntryPos());
 		aKey1.bSortAscending = aFirstSortUpRB.IsChecked();
-		aKey2.eField = (ToxAuthorityField)(sal_uInt32)aSecondKeyLB.GetEntryData(
+		aKey2.eField = (ToxAuthorityField)(sal_uIntPtr)aSecondKeyLB.GetEntryData(
 									aSecondKeyLB.GetSelectEntryPos());
 		aKey2.bSortAscending = aSecondSortUpRB.IsChecked();
-		aKey3.eField = (ToxAuthorityField)(sal_uInt32)aThirdKeyLB.GetEntryData(
+		aKey3.eField = (ToxAuthorityField)(sal_uIntPtr)aThirdKeyLB.GetEntryData(
 								aThirdKeyLB.GetSelectEntryPos());
 		aKey3.bSortAscending = aThirdSortUpRB.IsChecked();
 
@@ -2623,7 +2623,7 @@
 		sal_uInt16 nSelPos = aAuthFieldsLB.GetSelectEntryPos();
 		String sToInsert(aAuthFieldsLB.GetSelectEntry());
 		SwFormToken aInsert(TOKEN_AUTHORITY);
-		aInsert.nAuthorityField = (sal_uInt16)(sal_uInt32)aAuthFieldsLB.GetEntryData(nSelPos);
+		aInsert.nAuthorityField = (sal_uInt16)(sal_uIntPtr)aAuthFieldsLB.GetEntryData(nSelPos);
 		aTokenWIN.InsertAtSelection(String::CreateFromAscii(
 											SwForm::aFormAuth), aInsert);
 		aAuthFieldsLB.RemoveEntry(sToInsert);
Index: source/ui/lingu/hyp.cxx
===================================================================
RCS file: /cvs/sw/sw/source/ui/lingu/hyp.cxx,v
retrieving revision 1.7
retrieving revision 1.7.868.1
diff -u -r1.7 -r1.7.868.1
--- source/ui/lingu/hyp.cxx	3 Feb 2004 16:43:24 -0000	1.7
+++ source/ui/lingu/hyp.cxx	13 Sep 2005 14:50:56 -0000	1.7.868.1
@@ -176,7 +176,7 @@
 
 IMPL_LINK( SwHyphWrapper, SpellError, void *, nLang )
 {
-	sal_uInt32 nNew = (sal_uInt32)nLang;
+	sal_uInt32 nNew = (sal_uInt32)(sal_uIntPtr)nLang;
 	if( nNew != nLangError )
 	{
 		nLangError = nNew;
Index: source/ui/table/tabledlg.cxx
===================================================================
RCS file: /cvs/sw/sw/source/ui/table/tabledlg.cxx,v
retrieving revision 1.28
retrieving revision 1.28.608.2
diff -u -r1.28 -r1.28.608.2
--- source/ui/table/tabledlg.cxx	23 Aug 2004 09:10:27 -0000	1.28
+++ source/ui/table/tabledlg.cxx	16 Sep 2005 09:30:22 -0000	1.28.608.2
@@ -613,7 +613,7 @@
         ( nPos = aTextDirectionLB.GetSelectEntryPos() ) !=
                                             aTextDirectionLB.GetSavedValue() )
 	{
-        sal_uInt32 nDirection = (sal_uInt32)aTextDirectionLB.GetEntryData( nPos );
+        sal_uInt32 nDirection = (sal_uInt32)(sal_uIntPtr)aTextDirectionLB.GetEntryData( nPos );
         rCoreSet.Put( SvxFrameDirectionItem( (SvxFrameDirection)nDirection, RES_FRAMEDIR));
 		bModified = TRUE;
 	}
Index: source/ui/uiview/viewling.cxx
===================================================================
RCS file: /cvs/sw/sw/source/ui/uiview/viewling.cxx,v
retrieving revision 1.22
retrieving revision 1.22.228.1
diff -u -r1.22 -r1.22.228.1
--- source/ui/uiview/viewling.cxx	4 Apr 2005 08:18:34 -0000	1.22
+++ source/ui/uiview/viewling.cxx	13 Sep 2005 14:50:59 -0000	1.22.228.1
@@ -489,7 +489,7 @@
 		}
 		while( pWrtShell->ActionPend() );
 	}
-	LanguageType eLang = (LanguageType)(sal_uInt32)nLang;
+	LanguageType eLang = (LanguageType)(sal_uIntPtr)nLang;
 	String aErr(::GetLanguageString( eLang ) );
 
 	SwEditWin &rEditWin = GetEditWin();