Index: source/awt/vclxaccessiblelist.cxx
===================================================================
RCS file: /cvs/gsl/toolkit/source/awt/vclxaccessiblelist.cxx,v
retrieving revision 1.18
retrieving revision 1.18.306.1
diff -u -r1.18 -r1.18.306.1
--- source/awt/vclxaccessiblelist.cxx	22 May 2003 13:00:20 -0000	1.18
+++ source/awt/vclxaccessiblelist.cxx	13 Sep 2005 14:49:56 -0000	1.18.306.1
@@ -300,13 +300,13 @@
 
         case VCLEVENT_LISTBOX_ITEMREMOVED:
         case VCLEVENT_COMBOBOX_ITEMREMOVED:
-            HandleChangedItemList (false, reinterpret_cast<sal_Int32>(
+            HandleChangedItemList (false, reinterpret_cast<sal_IntPtr>(
                 rVclWindowEvent.GetData()));
             break;
 
         case VCLEVENT_LISTBOX_ITEMADDED:
         case VCLEVENT_COMBOBOX_ITEMADDED:
-            HandleChangedItemList (true, reinterpret_cast<sal_Int32>(
+            HandleChangedItemList (true, reinterpret_cast<sal_IntPtr>(
                 rVclWindowEvent.GetData()));
             break;
 		case VCLEVENT_WINDOW_GETFOCUS:
Index: source/awt/vclxaccessiblestatusbar.cxx
===================================================================
RCS file: /cvs/gsl/toolkit/source/awt/vclxaccessiblestatusbar.cxx,v
retrieving revision 1.3
retrieving revision 1.3.328.1
diff -u -r1.3 -r1.3.328.1
--- source/awt/vclxaccessiblestatusbar.cxx	24 Apr 2003 15:08:42 -0000	1.3
+++ source/awt/vclxaccessiblestatusbar.cxx	13 Sep 2005 14:49:56 -0000	1.3.328.1
@@ -213,7 +213,7 @@
         {	
 			if ( m_pStatusBar )
 			{
-			    sal_uInt16 nItemId = (sal_uInt16)(int) rVclWindowEvent.GetData();
+			    sal_uInt16 nItemId = (sal_uInt16)(sal_IntPtr) rVclWindowEvent.GetData();
 				sal_uInt16 nItemPos = m_pStatusBar->GetItemPos( nItemId );
 				InsertChild( nItemPos );
 			}
@@ -223,7 +223,7 @@
         {
 			if ( m_pStatusBar )
 			{
-			    sal_uInt16 nItemId = (sal_uInt16)(int) rVclWindowEvent.GetData();
+			    sal_uInt16 nItemId = (sal_uInt16)(sal_IntPtr) rVclWindowEvent.GetData();
 				for ( sal_Int32 i = 0, nCount = getAccessibleChildCount(); i < nCount; ++i )
 				{
 					Reference< XAccessible > xChild( getAccessibleChild( i ) );
@@ -251,7 +251,7 @@
 		{	
 			if ( m_pStatusBar )
 			{
-			    sal_uInt16 nItemId = (sal_uInt16)(int) rVclWindowEvent.GetData();
+			    sal_uInt16 nItemId = (sal_uInt16)(sal_IntPtr) rVclWindowEvent.GetData();
 				sal_uInt16 nItemPos = m_pStatusBar->GetItemPos( nItemId );
 				UpdateShowing( nItemPos, rVclWindowEvent.GetId() == VCLEVENT_STATUSBAR_SHOWITEM );
 			}
@@ -268,7 +268,7 @@
 		{	
 			if ( m_pStatusBar )
 			{
-			    sal_uInt16 nItemId = (sal_uInt16)(int) rVclWindowEvent.GetData();
+			    sal_uInt16 nItemId = (sal_uInt16)(sal_IntPtr) rVclWindowEvent.GetData();
 				sal_uInt16 nItemPos = m_pStatusBar->GetItemPos( nItemId );
 				UpdateItemName( nItemPos );			
 			}
@@ -278,7 +278,7 @@
 		{	
 			if ( m_pStatusBar )
 			{
-			    sal_uInt16 nItemId = (sal_uInt16)(int) rVclWindowEvent.GetData();
+			    sal_uInt16 nItemId = (sal_uInt16)(sal_IntPtr) rVclWindowEvent.GetData();
 				sal_uInt16 nItemPos = m_pStatusBar->GetItemPos( nItemId );
 				UpdateItemText( nItemPos );			
 			}
Index: source/awt/vclxaccessibletabcontrol.cxx
===================================================================
RCS file: /cvs/gsl/toolkit/source/awt/vclxaccessibletabcontrol.cxx,v
retrieving revision 1.14
retrieving revision 1.14.120.1
diff -u -r1.14 -r1.14.120.1
--- source/awt/vclxaccessibletabcontrol.cxx	8 Sep 2004 17:38:41 -0000	1.14
+++ source/awt/vclxaccessibletabcontrol.cxx	13 Sep 2005 14:49:57 -0000	1.14.120.1
@@ -238,7 +238,7 @@
         {
 			if ( m_pTabControl )
 			{
-			    sal_uInt16 nPageId = (sal_uInt16)(int) rVclWindowEvent.GetData();
+			    sal_uInt16 nPageId = (sal_uInt16)(sal_IntPtr) rVclWindowEvent.GetData();
 				sal_uInt16 nPagePos = m_pTabControl->GetPagePos( nPageId );
                 UpdateFocused();
 				UpdateSelected( nPagePos, rVclWindowEvent.GetId() == VCLEVENT_TABPAGE_ACTIVATE );
@@ -249,7 +249,7 @@
         {
 			if ( m_pTabControl )
 			{
-			    sal_uInt16 nPageId = (sal_uInt16)(int) rVclWindowEvent.GetData();
+			    sal_uInt16 nPageId = (sal_uInt16)(sal_IntPtr) rVclWindowEvent.GetData();
 				sal_uInt16 nPagePos = m_pTabControl->GetPagePos( nPageId );
 				UpdatePageText( nPagePos );
 			}
@@ -259,7 +259,7 @@
         {
 			if ( m_pTabControl )
 			{
-			    sal_uInt16 nPageId = (sal_uInt16)(int) rVclWindowEvent.GetData();
+			    sal_uInt16 nPageId = (sal_uInt16)(sal_IntPtr) rVclWindowEvent.GetData();
 				sal_uInt16 nPagePos = m_pTabControl->GetPagePos( nPageId );
 				InsertChild( nPagePos );
 			}
@@ -269,7 +269,7 @@
         {
 			if ( m_pTabControl )
 			{
-			    sal_uInt16 nPageId = (sal_uInt16)(int) rVclWindowEvent.GetData();
+			    sal_uInt16 nPageId = (sal_uInt16)(sal_IntPtr) rVclWindowEvent.GetData();
 				for ( sal_Int32 i = 0, nCount = getAccessibleChildCount(); i < nCount; ++i )
 				{
 					Reference< XAccessible > xChild( getAccessibleChild( i ) );
Index: source/awt/vclxaccessibletoolbox.cxx
===================================================================
RCS file: /cvs/gsl/toolkit/source/awt/vclxaccessibletoolbox.cxx,v
retrieving revision 1.35
retrieving revision 1.35.102.1
diff -u -r1.35 -r1.35.102.1
--- source/awt/vclxaccessibletoolbox.cxx	9 Nov 2004 16:17:10 -0000	1.35
+++ source/awt/vclxaccessibletoolbox.cxx	13 Sep 2005 14:49:57 -0000	1.35.102.1
@@ -519,8 +519,8 @@
         {
 			if ( rVclWindowEvent.GetData() )
             {
-				UpdateChecked_Impl( (sal_Int32)rVclWindowEvent.GetData() );
-                UpdateIndeterminate_Impl( (sal_Int32)rVclWindowEvent.GetData() );
+				UpdateChecked_Impl( (sal_Int32)(sal_IntPtr)rVclWindowEvent.GetData() );
+                UpdateIndeterminate_Impl( (sal_Int32)(sal_IntPtr)rVclWindowEvent.GetData() );
             }
 			break;
         }
@@ -535,12 +535,12 @@
 			break;
 
 		case VCLEVENT_TOOLBOX_HIGHLIGHTOFF:
-			ReleaseFocus_Impl( (sal_Int32)rVclWindowEvent.GetData() );
+			ReleaseFocus_Impl( (sal_Int32)(sal_IntPtr)rVclWindowEvent.GetData() );
 			break;
 
 		case VCLEVENT_TOOLBOX_ITEMADDED :
 		case VCLEVENT_TOOLBOX_ITEMREMOVED :
-			UpdateItem_Impl( (sal_Int32)rVclWindowEvent.GetData(), VCLEVENT_TOOLBOX_ITEMADDED == rVclWindowEvent.GetId() );
+			UpdateItem_Impl( (sal_Int32)(sal_IntPtr)rVclWindowEvent.GetData(), VCLEVENT_TOOLBOX_ITEMADDED == rVclWindowEvent.GetId() );
 			break;
 
 		case VCLEVENT_TOOLBOX_ALLITEMSCHANGED :
@@ -550,7 +550,7 @@
 		}
 		case VCLEVENT_TOOLBOX_ITEMWINDOWCHANGED:
 		{
-			sal_Int32 nPos = (sal_Int32)rVclWindowEvent.GetData();
+			sal_Int32 nPos = (sal_Int32)(sal_IntPtr)rVclWindowEvent.GetData();
 			ToolBoxItemsMap::iterator aAccessiblePos( m_aAccessibleChildren.find( nPos ) );
 			if ( m_aAccessibleChildren.end() != aAccessiblePos )
             {
@@ -564,13 +564,13 @@
 			break;
 		}
 		case VCLEVENT_TOOLBOX_ITEMTEXTCHANGED :
-			UpdateItemName_Impl( (sal_Int32)rVclWindowEvent.GetData() );
+			UpdateItemName_Impl( (sal_Int32)(sal_IntPtr)rVclWindowEvent.GetData() );
 			break;
 
 		case VCLEVENT_TOOLBOX_ITEMENABLED :
 		case VCLEVENT_TOOLBOX_ITEMDISABLED :
 		{
-			UpdateItemEnabled_Impl( (sal_Int32)rVclWindowEvent.GetData() );
+			UpdateItemEnabled_Impl( (sal_Int32)(sal_IntPtr)rVclWindowEvent.GetData() );
 			break;
 		}
 
Index: source/helper/unopropertyarrayhelper.cxx
===================================================================
RCS file: /cvs/gsl/toolkit/source/helper/unopropertyarrayhelper.cxx,v
retrieving revision 1.1.1.1
retrieving revision 1.1.1.1.448.1
diff -u -r1.1.1.1 -r1.1.1.1.448.1
--- source/helper/unopropertyarrayhelper.cxx	18 Sep 2000 17:02:09 -0000	1.1.1.1
+++ source/helper/unopropertyarrayhelper.cxx	13 Sep 2005 14:49:59 -0000	1.1.1.1.448.1
@@ -121,7 +121,7 @@
 	
 	for ( sal_uInt32 n = 0; n < nProps; n++ ) 
 	{
-		sal_uInt16 nId = (sal_uInt16)(sal_uInt32)aSortedPropsIds.GetObject( n );
+		sal_uInt16 nId = (sal_uInt16)(sal_uIntPtr)aSortedPropsIds.GetObject( n );
 		pProps[n].Name = GetPropertyName( nId );
 		pProps[n].Handle = nId;
 		pProps[n].Type = *GetPropertyType( nId );